<template>
  <gmap-info-window :options="options" :position="position" :opened="opened" @closeclick="$emit('closeclick')">
    <Popup :item-data="contentData" />
  </gmap-info-window>
</template>

<script>
const Popup = () => import('~/components/Maps/popup-card');
export default {
  components: {
    Popup,
  },
  props: {
    options: {
      required: false,
      type: Object,
      default: null,
    },
    position: {
      required: true,
      type: Object,
    },
    opened: {
      type: Boolean,
      required: true,
      default: false,
    },
    contentData: {
      type: Object,
      required: false,
      default: null,
    },
  },
};
</script>

<style>
/* ini untuk override close buttonnya */
.vue-map-container .gm-ui-hover-effect {
  /* display: none !important; */
}
</style>
